Stores the output of a list command on a workingcopy or repositoryurl in a property.

This stems from the SvnLastRevisionTask.

author | Anton Stöckl
author | Michiel Rook <mrook@php.net> (SvnLastRevisionTask)
version | $Id: fdbd2a7ba853105acdf1887bee0e186eb125dfe8 $
package | phing.tasks.ext.svn
see | \global\VersionControl_SVN
since | 2.1.0
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()
inherited_from | \SvnBaseTask::getDescription()

### Returns

`string`The text description of the task

## Returns the force switch

    getForce()

Inherited

inherited_from | \SvnBaseTask::getForce()

## Returns the ignore-externals switch

    getIgnoreExternals()

Inherited

inherited_from | \SvnBaseTask::getIgnoreExternals()

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()
inherited_from | \SvnBaseTask::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the no-auth-cache switch

    getNoCache()

Inherited

inherited_from | \SvnBaseTask::getNoCache()

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()
inherited_from | \SvnBaseTask::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns the password

    getPassword()

Inherited

inherited_from | \SvnBaseTask::getPassword()

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()
inherited_from | \SvnBaseTask::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the name of the property to use

    getPropertyName()

## Returns the non-recursive switch

    getRecursive()

Inherited

inherited_from | \SvnBaseTask::getRecursive()

## Returns the path/URI to the repository

    getRepositoryUrl()

Inherited

inherited_from | \SvnBaseTask::getRepositoryUrl()

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()
inherited_from | \SvnBaseTask::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the path to the SVN executable

    getSvnPath()

Inherited

inherited_from | \SvnBaseTask::getSvnPath()

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()
inherited_from | \SvnBaseTask::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()
inherited_from | \SvnBaseTask::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Returns the path to export/checkout to

    getToDir()

Inherited

inherited_from | \SvnBaseTask::getToDir()

## Returns the trust-server-cert switch

    getTrustServerCert()

Inherited

inherited_from | \SvnBaseTask::getTrustServerCert()

## Returns the username

    getUsername()

Inherited

inherited_from | \SvnBaseTask::getUsername()

## Returns the path to the workingcopy

    getWorkingCopy()

Inherited

inherited_from | \SvnBaseTask::getWorkingCopy()

## Initialize Task.

    init()

Inherited

This method includes any necessary SVN libraries and triggers appropriate error if they cannot be found. This is not done in header because we may want this class to be loaded w/o triggering an error.

inherited_from | \SvnBaseTask::init()

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()
inherited_from | \SvnBaseTask::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## The main entry point

    main()

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

### Exceptions

`\BuildException` |

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()
inherited_from | \SvnBaseTask::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()
inherited_from | \SvnBaseTask::perform()

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()
inherited_from | \SvnBaseTask::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## Sets the force switch

    setForce($value)

Inherited

inherited_from | \SvnBaseTask::setForce()

### Parameters

#### $value

## Sets whether to force compatibility with older SVN versions (< 1.2)

    setForceCompatible($force)

deprecated |

### Parameters

#### $force

## Sets the ignore-externals switch

    setIgnoreExternals($value)

Inherited

inherited_from | \SvnBaseTask::setIgnoreExternals()

### Parameters

#### $value

## Sets the max num of tags to display

    setLimit($limit)

### Parameters

#### $limit

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()
inherited_from | \SvnBaseTask::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the no-auth-cache switch

    setNoCache($value)

Inherited

inherited_from | \SvnBaseTask::setNoCache()

### Parameters

#### $value

## Sets whether to sort tags in descending order

    setOrderDescending($orderDescending)

### Parameters

#### $orderDescending

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()
inherited_from | \SvnBaseTask::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## Sets the password of the user to export

    setPassword($value)

Inherited

inherited_from | \SvnBaseTask::setPassword()

### Parameters

#### $value

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()
inherited_from | \SvnBaseTask::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the name of the property to use

    setPropertyName($propertyName)

### Parameters

#### $propertyName

## Sets the non-recursive switch

    setRecursive($value)

Inherited

inherited_from | \SvnBaseTask::setRecursive()

### Parameters

#### $value

## Sets the path/URI to the repository

    setRepositoryUrl($repositoryUrl)

Inherited

inherited_from | \SvnBaseTask::setRepositoryUrl()

### Parameters

#### $repositoryUrl

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()
inherited_from | \SvnBaseTask::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the path to the SVN executable

    setSvnPath($svnPath)

Inherited

inherited_from | \SvnBaseTask::setSvnPath()

### Parameters

#### $svnPath

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()
inherited_from | \SvnBaseTask::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()
inherited_from | \SvnBaseTask::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## Sets the path to export/checkout to

    setToDir($toDir)

Inherited

inherited_from | \SvnBaseTask::setToDir()

### Parameters

#### $toDir

## Sets the trust-server-cert switch

    setTrustServerCert($value)

Inherited

inherited_from | \SvnBaseTask::setTrustServerCert()

### Parameters

#### $value

## Sets the username of the user to export

    setUsername($value)

Inherited

inherited_from | \SvnBaseTask::setUsername()

### Parameters

#### $value

## Sets the path to the workingcopy

    setWorkingCopy($workingCopy)

Inherited

inherited_from | \SvnBaseTask::setWorkingCopy()

### Parameters

#### $workingCopy

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()
inherited_from | \SvnBaseTask::getRegisterSlot()

### Parameters

#### $slotName

`string`

## Executes the constructed VersionControl_SVN instance

    run(array $args, array $switches) : string

Inherited

inherited_from | \SvnBaseTask::run()

### Parameters

#### $args

`array`

Additional arguments to pass to SVN.

#### $switches

`array`

Switches to pass to SVN.

### Returns

`string`Output generated by SVN.

## Creates a VersionControl_SVN class based on $mode

    setup(string $mode)

Inherited

inherited_from | \SvnBaseTask::setup()

### Parameters

#### $mode

`string`

The SVN mode to use (info, export, checkout, ...)

### Exceptions

`\BuildException` |

### Properties

##

    $description : string

Inherited

inherited_from | \Task::$$description
inherited_from | \SvnBaseTask::$$description

##

    $fetchMode

Inherited

inherited_from | \SvnBaseTask::$$fetchMode

##

    $location : \Location

Inherited

inherited_from | \Task::$$location
inherited_from | \SvnBaseTask::$$location

##

    $oldVersion

Inherited

inherited_from | \SvnBaseTask::$$oldVersion

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project
inherited_from | \SvnBaseTask::$$project

##

    $svn

Inherited

inherited_from | \SvnBaseTask::$$svn

##

    $target : \Target

Inherited

inherited_from | \Task::$$target
inherited_from | \SvnBaseTask::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName
inherited_from | \SvnBaseTask::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType
inherited_from | \SvnBaseTask::$$taskType

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper
inherited_from | \SvnBaseTask::$$wrapper

##

    $limit

##

    $mode

Inherited

inherited_from | \SvnBaseTask::$$mode

##

    $orderDescending

##

    $propertyName

##

    $repositoryUrl

Inherited

inherited_from | \SvnBaseTask::$$repositoryUrl

##

    $svnArgs

Inherited

inherited_from | \SvnBaseTask::$$svnArgs

##

    $svnPath

Inherited

inherited_from | \SvnBaseTask::$$svnPath

##

    $svnSwitches

Inherited

inherited_from | \SvnBaseTask::$$svnSwitches

##

    $toDir

Inherited

inherited_from | \SvnBaseTask::$$toDir

##

    $workingCopy

Inherited

inherited_from | \SvnBaseTask::$$workingCopy